#ifndef __PROOF_HPP
#define __PROOF_HPP

#include <openssl/evp.h>
#include <openssl/sha.h>
#include <string>
#include <vector>
#include <sstream>
#include <iomanip>

#include "Scalar.hpp"
#include "Curvepoint.hpp"

struct Proof {    
    std::string basic;
    std::vector<Curvepoint> partialUniversals;
    std::vector<Scalar> challengeParts;
    std::vector<Scalar> responseParts;
};

Scalar oracle(const std::string& input);

#endif

